include:
  - template: Security/Secret-Detection.gitlab-ci.yml

# Extend GitLab Secret Detection job to publish the report file as artifact to be used by other jobs
secret_detection:
  artifacts:
    paths:
      - gl-secret-detection-report.json

secret-detection-defectdojo:
  extends: .defectdojo_upload
  needs: ["defectdojo_create_engagement", "secret_detection"]
  variables:
    DEFECTDOJO_SCAN_TYPE: "GitLab Secret Detection Report"
    DEFECTDOJO_SCAN_TEST_TYPE: "GitLab-CI Secret Detection"
    DEFECTDOJO_SCAN_FILE: "./gl-secret-detection-report.json"
  rules:
    - if: '$DEFECTDOJO_NOT_ON_MASTER == "true" && $CI_COMMIT_BRANCH == "master"'
      when: never
    - if: '"$SECRET_DETECTION_DISABLED" == "true"'
      when: never
    - when: always
